API ReferenceTerm loan applications
Get a loan application by ID
Retrieve loan application details by loan application ID. For JWT auth, uses the authenticated user. For API key auth, provide user_id as a query parameter.
Path Parameters
organization*string
application_id*string
Query Parameters
user_id?string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/accounts/loan/applications/string/string"{ "id": "650e8400-e29b-41d4-a716-446655440000", "resource_id": "lapp_351t201rmv87aae5j4csam8000", "status": "APPROVED", "account_id": "550e8400-e29b-41d4-a716-446655440000", "loan_product_type": "FLAT_RATE", "loan_amount": 500000, "tenure": { "duration": 3, "unit": "DAYS" }, "interest_rate": { "basis_points": 50, "period_value": 3, "period_unit": "DAYS" }, "standard_interest_rate": { "basis_points": 50, "period_value": 3, "period_unit": "DAYS" }, "terms_range": { "min_loan_amount": 50000, "max_loan_amount": 5000000 }, "penalty_terms": { "rate_basis_points": 20, "calculation_basis": "PRINCIPAL_AND_ARREARS", "type": "RECURRING", "period_days": 1, "trigger": "AFTER_LOAN_END", "grace_period_days": 0, "max_charge_days": 5 }, "currency": "KES", "expires_at": "2025-10-27T10:30:00Z"}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}